The Plugin Doctor

Are you developing a WordPress plugin? Need to know the minimum version that it will support?

I just found this great website that will do the dirty work for you:

Plugin Doctor – http://wpseek.com/pluginfilecheck/

No need to build a test wordpress installation and iterate back through all the old versions just to test your plugin! This cool website tool was made by wordpress developers to test their own plugins. It checks the function & file dependencies in your code against their database, and it lets you know the minimum version of wordpress that you can support.

Just upload a .zip achieve of your plug-in, and then it gives you the results. It even has a breakdown of the supported version for each function call.

 

plugin-dr-results

 

Pretty damn amazing! Many thanks to wpseek.com for developing this!

%d bloggers like this: